Important Notice: The Bambuser Community is discontinued for non-paying customers

Read more

Help: Installation fails due to certificate date or security check issues. What to do?

Check that the phone's current time is set correctly.

Do you any of the following messages when installing?
"Component failed security check. Cannot install."
"Certificate validity dates do not match with the phone's date. Check your date settings."
"Certificate expired."

Make sure the clock in your phone is set to the current date, as the applications certificates are valid during a specific time frame only.

You can leave feedback to Bambuser Crew via this form.